set mouse-=a
set scrolloff=8
set number
set relativenumber
set tabstop=4 softtabstop=4
set shiftwidth=4
set expandtab
set smartindent

colorscheme catppuccin-mocha

let mapleader=" "
nnoremap <leader>e :Ex<CR>
nnoremap <leader>pv :Vex<CR>
nnoremap <leader>s<CR> :w<CR>
nnoremap <leader><CR> :so ~/.config/nvim/vimrc.vim<CR>

" Toggle Supermaven plugin
nnoremap <leader>sm :SupermavenToggle<CR>

" Helpful Movment Mappings
" Check out https://sidneyliebrand.medium.com/a-collection-of-vim-key-binds-4d227c9a455
noremap J 10j 
noremap K 10k
noremap H ^
noremap L $

vmap <leader>c gc
